PHP 7 support on Blackfire: it’s here!

By Christophe Dujarric, on Feb 02, 2016

php7trans-200

For those who follow our Twitter account, you probably have seen me answering a few times the question: Does Blackfire support PHP 7? Well, now I can tell you: YES, IT DOES!

Why did it take us so long? Because we didn’t go for the easy way. We didn’t simply port what we had for 5.x to 7.0. We re-wrote the whole extension. We started from scratch so that we could take into account the new PHP core architecture, and ensure the lowest possible overhead.

Besides, we automate testing and packaging on all supported platforms (Linux, FreeBSD, MacOs) and PHP versions: 5.3, 5.4, 5.5, 5.6… and now 7.0!

Capture du 2016-02-02 16-18-23

The whole team here worked really hard, and we are thrilled to release v1.9 of the probe, including the PHP 7 support.

To get it, simply upgrade, or install it if you’re a new user. And don’t hesitate to send us some feedback!

Happy performance testing!

 

Christophe Dujarric

Christophe is the Product guy at Blackfire/SensioLabs. He has been working in several start-up companies, helping them to make and sell products out of technologies. He’s involved in every step of the product’s lifecycle, from strategy to design and sales, and loves to coach on product management methods.